HexStr:
	LINK     A6,#$0
	MOVEM.L  D3-D7/A4,-(A7)
	MOVE.W   Arg06Link(A6),D4
	MOVE.L   Arg00Link(A6),D5
	MOVEA.L  Arg08Link(A6),A4
	EXT.L    D4
	MOVE.L   D4,D7
	SUBQ.L   #1,D7
	MOVEQ    #$0,D3
	BRA.S    Label1480
Label145A:	
	MOVEQ    #$F,D6
	AND.L    D5,D6
	ASR.L    #4,D5
	MOVEQ    #$9,D0
	CMP.L    D6,D0
	BLT.S    Label1472
	MOVE.B   D6,D0
	MOVEQ    #$30,D1
	ADD.B    D1,D0
	MOVE.B   D0,$0(A4,D7.L)
	BRA.S    Label147C
Label1472:	
	MOVE.B   D6,D0
	MOVEQ    #-$37,D1
	SUB.B    D1,D0
	MOVE.B   D0,$0(A4,D7.L)
Label147C:
	MOVE.L   D7,D0
	SUBQ.L   #1,D7
Label1480:	
	CMP.L    D7,D3
	BLE.S    Label145A
	CLR.B    $0(A4,D4.W)
	MOVEM.L  -$18(A6),D3-D7/A4
	UNLK     A6
	RTS

	dc.b	$86,"HexStr",$00,$00,$00
	even
